%define major		16
%define libname		%mklibname avif %{major}
%define develname	%mklibname avif -d

Name:		libavif
Version:	1.2.1
Release:	%mkrel 1
Summary:	Library for encoding and decoding .avif files
Group:		System/Libraries
License:	BSD
URL:		https://github.com/AOMediaCodec/libavif
Source0:	https://github.com/AOMediaCodec/libavif/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libavif-no-avifgainmaputil.patch

BuildRequires:	cmake
BuildRequires:	nasm
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(dav1d)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rav1e)
BuildRequires:	pkgconfig(SvtAv1Enc)
BuildRequires:	pkgconfig(zlib)
# not yet in mageia repo
#BuildRequires:	pkgconfig(libgav1)
#BuildRequires:	pkgconfig(libyuv)

%description
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for encoding and decoding .avif files
Group:		System/Libraries

%description -n %{libname}
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	avif-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	tools
Summary:	Tools to encode and decode AVIF files
Group:		Development/Tools

%description	tools
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

This package holds the commandline tools to encode and decode AVIF files.

#------------------------------------------------

%package -n	avif-pixbuf-loader
Summary:	AVIF image loader for GTK+ applications
Group:		Development/Tools
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
Requires:	gdk-pixbuf2.0

Conflicts:	libavif-tools < 0.11.1-3

%description -n	avif-pixbuf-loader
Avif-pixbuf-loader contains a plugin to load AVIF images in GTK+ applications.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake  -DAVIF_CODEC_AOM=SYSTEM \
        -DAVIF_CODEC_DAV1D=SYSTEM \
        -DAVIF_CODEC_RAV1E=SYSTEM \
        -DAVIF_CODEC_SVT=SYSTEM \
        -DAVIF_LIBARGPARSE=SYSTEM \
        -DAVIF_BUILD_APPS=1 \
        -DAVIF_BUILD_GDK_PIXBUF=1 \
        -DAVIF_LIBYUV=0
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libavif.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libavif.so
%{_includedir}/avif/
%{_libdir}/cmake/libavif/
%{_libdir}/pkgconfig/libavif.pc

%files tools
%doc CHANGELOG.md README.md
%{_bindir}/avifdec
%{_bindir}/avifenc

%files -n avif-pixbuf-loader
%license LICENSE
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-avif.so
%{_datadir}/thumbnailers/avif.thumbnailer


%changelog
* Wed Mar 19 2025 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2166489
- new version: 1.2.1

* Fri Feb 28 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2153574
- new version: 1.2.0

* Sat Aug 03 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2083498
- new version: 1.1.1

* Tue Jul 16 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2081701
- new version: 1.1.0

* Thu Apr 25 2024 daviddavid <daviddavid> 1.0.4-2.mga10
+ Revision: 2061006
- rebuild for new svt-av1 2.0.0

* Thu Feb 15 2024 daviddavid <daviddavid> 1.0.4-1.mga10
+ Revision: 2041466
- new version: 1.0.4

* Sat Dec 09 2023 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2016242
- new version: 1.0.3

* Thu Nov 23 2023 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 2009378
- new version: 1.0.2

* Wed Nov 08 2023 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2005115
- new version: 1.0.1
- now libmajor is 16
- enable svt codec
- move avif.thumbnailer to avif-pixbuf-loader sub-pkg

* Mon Oct 23 2023 daviddavid <daviddavid> 0.11.1-2.mga10
+ Revision: 2000479
- rebuild for new dav1d

* Tue Nov 15 2022 daviddavid <daviddavid> 0.11.1-1.mga9
+ Revision: 1907691
- new version: 0.11.1
- now libmajor is 15

* Wed Aug 31 2022 papoteur <papoteur> 0.10.1-1.mga9
+ Revision: 1882975
- new 1.10.1. New lib major 14

* Tue Mar 29 2022 kekepower <kekepower> 0.9.3-1.mga9
+ Revision: 1831766
- New lib major is 13
- Update to version 0.9.3
- Rebuild for new dav1d

* Sat Jul 31 2021 luigiwalser <luigiwalser> 0.9.2-2.mga9
+ Revision: 1738332
- rebuild for aom

* Sat Jul 31 2021 wally <wally> 0.9.2-1.mga9
+ Revision: 1738280
- new version 0.9.2
- new lib major 12

* Tue May 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1728126
- new version: 0.9.1
- now libmajor is 11

* Tue Mar 30 2021 daviddavid <daviddavid> 0.9.0-1.mga9
+ Revision: 1711952
- initial package libavif

